List Operations
GET/v1/operations
Retrieve a list of the user's operations.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Operation currency symbol.
Operation Transaction tag.
Operation Created at start.
Operation Created at end.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The operations returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Operations data.
Operation id.
Operation fee in cents.
Possible values: [accepted, declined, undone, pending, reverted, waiting_accept, waiting_revert, waiting_ledger, waiting_credit, waiting_debit, waiting_accept_credit]
Operation state.
Operation description.
Operation value in cents.
Operation created at.
Operation reverted at.
Currency Id.
Currency symbol.
Transaction id.
Transaction tag.
Operation owner wallet.
Operation beneficiary wallet uuid.
Operation ref id.
Operation chargeback id.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"fee": 0,
"state": "accepted",
"description": "string",
"value": 1880000,
"created_at": "2026-03-26T14:02:58.523Z",
"reverted_at": "2026-03-26T14:02:58.523Z",
"currency_id": 2,
"currency_symbol": "R$",
"transaction_id": 2,
"transaction_tag": "BRL",
"owner_wallet_uuid": "f6e2e084-29b9-4935-a059-5473b13033aa",
"beneficiary_wallet_uuid": "f6e2e084-29b9-4935-a059-5473b13033aa",
"operation_ref_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"chargeback_id": "f6e2e084-29b9-4935-a059-5473b13033aa"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.